Téléchargement

Planning Biblio est un logiciel libre distribué sous licence GPL v2, aussi appelée en français Licence Publique Générale GNU. Cette licence vous garantit les libertés suivantes :

– la liberté d’installer et d’utiliser Planning Biblio pour quelque usage que ce soit ;

– la liberté d’étudier le fonctionnement de Planning Biblio et de l’adapter à vos propres besoins en modifiant le code source, auquel vous avez un accès immédiat.

– la liberté de distribuer des copies à qui que ce soit, tant que vous n’altérez ni ne supprimez la licence ;

– la liberté d’améliorer Planning Biblio et de diffuser vos améliorations au public, de façon à ce que l’ensemble de la communauté puisse en tirer avantage, tant que vous n’altérez ni ne supprimez la licence.

Pour installer Planning Biblio, vous devez avoir un serveur Apache ou NGINX, une base de données MySQL ou MariaDB, PHP version 7.0 ou supérieure, les modules PHP suivant : json, mysqli, pdo, pdo_mysql, ldap (si vous souhaitez utiliser l’authentification ou l’importation LDAP), et curl (si vous souhaitez utiliser l’identification CAS).

Pour installer et mettre à jour Planning Biblio, suivez les indications suivantes. L’installation de la base de données se fera lors de la première connexion au planning.

Pour installer Planning Biblio : 2 solutions :

  1. Avec les outils git et composer* (recommandé)
    git clone https://github.com/planningbiblio/planningbiblio -b 19.10.xx planningbiblio
    cd planningbiblio
    composer update
  2. Ou décompressez l’archive téléchargeable ci-dessous dans votre « DocumentRoot »

Pour mettre à jour Planning Biblio : 2 solutions :

  1. Avec les outils git et composer*, si vous avez installé Planning Biblio avec git (recommandé)
    Rendez-vous dans votre dossier Planning Biblio

    git reset --hard
    git checkout origin/19.10.xx
    composer update
  2. Ou décompressez l’archive (téléchargeable ci-dessous) et copiez son contenu dans votre dossier planningbiblio

Avant de mettre à jour Planning Biblio : sauvegardez votre base de données, le fichier include/config.php, votre éventuel fichier lang/custom.php et votre thème personnalisé si vous en avez un.

Assurez-vous que les fichiers précités sont toujours en place après la mise à jour ou recopiez-le depuis votre sauvegarde. Connectez-vous au planning : la mise à jour de la base de données démarre automatiquement.

Important

  • Si vous souhaitez mettre à jour Planning Biblio depuis une version inférieure à 2.0, vous devez d’abord effectuer une mise à jour vers la version 2.0.3 en utilisant cette archive : Planning Biblio 2.0.3
  • Si vous utilisez un thème personnalisé et que vous effectuez une mise à jour depuis une version inférieure à 2.3.3, il devra être adapté (voir le forum).
  • Supprimez le dossier setup après l’installation et après les mises à jour

Dernière version (19.04.05)

Planning Biblio 19.04.05 ChangeLog Requis : PHP 7.0 ou supérieur

Guide d’installation / Manuel utilisateur

Guide d’installation et de paramétrage Manuel Utilisateur

Versions Précédentes

Planning Biblio 19.04.04 ChangeLog Requis : PHP 7.0 ou supérieur
Planning Biblio 19.04.01 ChangeLog Requis : PHP 7.0 ou supérieur
Planning Biblio 19.04 ChangeLog Requis : PHP 7.0 ou supérieur
Planning Biblio 2.8.05 ChangeLog Requis : PHP 7.0 ou supérieur
Planning Biblio 2.7.16 Corrige des erreurs de droits d’accès en multisites Requis : PHP 5.3 à PHP 7.1
et module PHP mcrypt
Planning Biblio 2.6.91 Changelog Requis : PHP 5.3 à PHP 7.1
et module PHP mcrypt
PlanningBiblio 2.5.9 Changelog Requis : PHP 5.3 à PHP 7.1
et module PHP mcrypt
Planning Biblio 2.0.3 Changelog Requis : PHP 5.3 à PHP 7.1
et module PHP mcrypt


* git s’installe avec le gestionnaire de paquet de votre distribution linux. Composer peut être téléchargé en suivant les indications fournies ici https://getcomposer.org/download/. Vous pouvez exécuter la commande composer update après avoir fait un alias du type composer=’php /chemin/vers/composer.phar’ ou directement taper la commande php -f /chemin/vers/composer.phar update